# Uses of Interface
org.jmol.api.JSVInterface

Packages that use JSVInterface
Package
Description
jspecview.app
jspecview.application
org.openscience.jmol.app.status

## Uses of JSVInterface in jspecview.app

Classes in jspecview.app that implement JSVInterface
Modifier and Type
Class
Description
`class`
`JSVAppPro`

## Uses of JSVInterface in jspecview.application

Classes in jspecview.application that implement JSVInterface
Modifier and Type
Class
Description
`class`
`JSpecView`
The Main Class or Entry point of the JSpecView Application.
Methods in jspecview.application with parameters of type JSVInterface
Modifier and Type
Method
Description
`void`
JSpecView.`getDisplaySchemesProcessor(JSVInterface statusListener)`
`void`
JSpecView.`setStatusListener(JSVInterface jmolStatusListener)`
Constructors in jspecview.application with parameters of type JSVInterface
Modifier
Constructor
Description
``
`JSpecView(boolean hasDisplay, JSVInterface jmolStatusListener)`
The entry point constructor, from Jmol's StatusListener or from the AppletPro object (via MainFrame) or from MainFrame itself.
``
`MainFrame(JSpecView jsv, Component jmolDisplay, JSVInterface jmolStatusListener)`
Constructor

## Uses of JSVInterface in org.openscience.jmol.app.status

Classes in org.openscience.jmol.app.status that implement JSVInterface
Modifier and Type
Class
Description
`class`
`StatusListener`